Package upload fails with larger rpms (30MB+) on 413 Request Entry Too Large
08/06/2014 09:17 AM - Partha Aji

Status: Closed
Priority: Normal
Assignee: David Davis
Category: Hammer
Target version: Katello 2.0
Difficulty: medium Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1121950 Red Hat JIRA:
Pull request: https://github.com/Katello/hammer-cli-kat
ello/pull/’215
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1121950
Description of problem:
Package upload fails with larger rpoms (30MB+) on 413 Request Entry Too Large

How reproducible:
Always

Steps to Reproduce:
1. hammer repository upload-package --id REPO_ID --path jre-7u45-linux-x64.rpm
2. fails with "413 Request Entry Too Large" error message in the hammer log

Expected results:
The package is uploaded successfully

Additional info:

Associated revisions

Revision 26bbb0cd - 08/06/2014 09:32 AM - David Davis

Fixes #6957,BZ21121950 - Using small file upload chunks
Using smaller chunk sizes for file uploads. In production, we're getting 413
responses. It looks like the SSL negotiation (which is limited by

SSLRenegBufferSize) is hitting its limit. After some trial-and-error, the limit
seemed to be around 5-6 MB so I'm adding in some buffer and using 4 MB.

Revision b3ae848e - 08/06/2014 11:36 AM - David Davis
Merge pull request #215 from daviddavis/temp/20140806093204

Fixes #6957,BZ1121950 - Using small file upload chunks

History

#1 - 08/06/2014 09:32 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/hammer-cli-katello/pull/215 added
- Pull request deleted ()

#2 - 08/06/2014 12:01 PM - David Davis
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100
https://bugzilla.redhat.com/show_bug.cgi?id=1121950

Applied in changeset hammer-cli-katello|26bbb0cd49e3a1ea2619d78948542702c4271ee5.

#3 - 08/07/2014 10:41 AM - Eric Helms
- Difficulty set to medium

- Triaged changed from No to Yes

#4 - 08/22/2014 09:25 AM - Eric Helms

- translation missing: en.field_release set to 13

#5 - 07/08/2016 04:44 PM - Juan Pablo Lorier

I'm having this problem uploading rpms. Are you planning on fixing this? TSM client bigger roms are 124MB and 78 MB.
Regards

#6 - 07/08/2016 04:45 PM - Juan Pablo Lorier

Sorry, | forgot to tell my problem is by the web Ul, not hammer.
Regards

#7 - 07/11/2016 12:09 PM - David Davis

Juan, mind opening a new redmine issue with what you're seeing? Make sure to attach the relevant portions of /var/foreman/production.log too.
Thanks!
